Loading...
Searching...
No Matches
QoreThreadLocalStorage< T > Class Template Reference

provides access to thread-local storage More...

`#include <QoreThreadLocalStorage.h>`

## Public Member Functions

DLLLOCAL | QoreThreadLocalStorage ()
| creates the key
DLLLOCAL | ~QoreThreadLocalStorage ()
| destroys the key
DLLLOCAL void | create ()
| creates the key
DLLLOCAL void | destroy ()
| destroys the key
DLLLOCAL T * | get ()
| retrieves the key's value
DLLLOCAL void | set (T *ptr)
| sets the key's value

## Protected Member Functions

DLLLOCAL | QoreThreadLocalStorage (const QoreThreadLocalStorage &)
| this function is not implemented; it is here as a private function in order to prohibit it from being used
DLLLOCAL QoreThreadLocalStorage & | operator= (const QoreThreadLocalStorage &)
| this function is not implemented; it is here as a private function in order to prohibit it from being used

## Protected Attributes

pthread_key_t | key
| the actual thread local storage key wrapped in this class

## Detailed Description

template<typename T>
class QoreThreadLocalStorage< T >

provides access to thread-local storage

This class is just a simple wrapper for pthread_key_t. It does not provide any special logic for checking for correct usage, etc.

The documentation for this class was generated from the following file:

- include/qore/QoreThreadLocalStorage.h